%define name rpm.cgi
%define version 0.26
%define release 1

Summary: RPM.CGI is a CGI interface to the Redhat Package Management System
Name: %{name}
Version: %{version}
Release: %{release}
Group: Console/Utilities
Copyright: GPL
Vendor: Abdul-Wahid Paterson <eesa@webstar.co.uk>
Url: http://eesa.webstar.co.uk/rpm_cgi/
Packager: Abdul-Wahid Paterson <eesa@webstar.co.uk>
Source0: %{name}-%{version}.tar.gz
Requires: apache

%changelog
* Fri Mar 26 1999 Abdul-Wahid Paterson <eesa@webstar.co.uk>
- rebuild for v0.26
- added text_conv.pm for new text paring functions
- package now handles images properly
* Thu Mar 18 1999 Abdul-Wahid Paterson <eesa@webstar.co.uk>
- rebuild for v0.25
* Sun Mar 14 1999 Abdul-Wahid Paterson <eesa@webstar.co.uk>
- rebuild for v0.24
* Wed Mar 10 1999 Abdul-Wahid Paterson <eesa@webstar.co.uk>
- First RPM built for RPM.CGI

%description
RPM.CGI is a CGI frontend to the Redhat Package Mangement System. It
provides a means to browze information about packages that are installed
on the system and to look at the information that is stored about the
package in the RPM database. It also allows browzing of the files to see
if md5 checksums, file size, file ownership etc. have been changed since
install time.

%prep

tar zxvf $RPM_SOURCE_DIR/%{name}-%{version}.tar.gz


%install
install -d /home/httpd/cgi-bin/rpm_cgi
install -d /etc/rpm_cgi
install -m755 rpm_cgi/rpm.cgi /home/httpd/cgi-bin/rpm_cgi/rpm.cgi
install -m644 rpm_cgi/config.pm /home/httpd/cgi-bin/rpm_cgi/config.pm
install -m644 rpm_cgi/text_conv.pm /home/httpd/cgi-bin/rpm_cgi/text_conv.pm
ln -s /home/httpd/cgi-bin/rpm_cgi/config.pm /etc/rpm_cgi/rpm_cgi.conf
install -d /home/httpd/html/rpm_cgi
install -m644 rpm_cgi/images/files.jpg /home/httpd/html/rpm_cgi/files.jpg
install -m644 rpm_cgi/images/dependent.jpg /home/httpd/html/rpm_cgi/dependent.jpg
install -m644 rpm_cgi/images/change.jpg /home/httpd/html/rpm_cgi/change.jpg
install -m644 rpm_cgi/images/build.jpg /home/httpd/html/rpm_cgi/build.jpg
install -m644 rpm_cgi/images/main.jpg /home/httpd/html/rpm_cgi/main.jpg
install -m644 rpm_cgi/images/package.jpg /home/httpd/html/rpm_cgi/package.jpg
install -m644 rpm_cgi/images/rpm.gif /home/httpd/html/rpm_cgi/rpm.gif
install -m644 rpm_cgi/images/rpm_cgi.gif /home/httpd/html/rpm_cgi/rpm_cgi.gif
install -m644 rpm_cgi/images/linux.jpg /home/httpd/html/rpm_cgi/linux.jpg
install -m644 rpm_cgi/images/help.jpg /home/httpd/html/rpm_cgi/help.jpg
install -m644 rpm_cgi/images/tick.gif /home/httpd/html/rpm_cgi/tick.gif
install -m644 rpm_cgi/images/cross.gif /home/httpd/html/rpm_cgi/cross.gif

%files
%doc rpm_cgi/COPYING rpm_cgi/TODO rpm_cgi/README rpm_cgi/ChangeLog rpm_cgi/BUGS
%dir /home/httpd/cgi-bin/rpm_cgi
/home/httpd/cgi-bin/rpm_cgi/rpm.cgi
%config /home/httpd/cgi-bin/rpm_cgi/config.pm
/home/httpd/cgi-bin/rpm_cgi/text_conv.pm
%dir /etc/rpm_cgi
/etc/rpm_cgi/rpm_cgi.conf
%dir /home/httpd/html/rpm_cgi
/home/httpd/html/rpm_cgi/files.jpg
/home/httpd/html/rpm_cgi/dependent.jpg
/home/httpd/html/rpm_cgi/change.jpg
/home/httpd/html/rpm_cgi/build.jpg
/home/httpd/html/rpm_cgi/main.jpg
/home/httpd/html/rpm_cgi/package.jpg
/home/httpd/html/rpm_cgi/rpm.gif
/home/httpd/html/rpm_cgi/rpm_cgi.gif
/home/httpd/html/rpm_cgi/linux.jpg
/home/httpd/html/rpm_cgi/help.jpg
/home/httpd/html/rpm_cgi/tick.gif
/home/httpd/html/rpm_cgi/cross.gif


